package actions;

import ihm.FenetreErreur;
import ihm.Gestionnaire;
import ihm.IHM;
import java.awt.event.ActionEvent;
import java.io.IOException;

/** Action qui sauvegarde le jeu de données
 *  @author michaelory@gmail.com
 *  @author julien.durand.eu@gmail.com
 *
 */
public class ActionExporter extends ActionGestionnaire
{
	private Gestionnaire m_gest=getM_gest();
	
	/** Constructeur
	 * @param gest
	 */
	public ActionExporter(Gestionnaire gest)
	{super(gest);}

	/** action */
	public void actionPerformed(ActionEvent arg0)
	{
		try
		{
			m_gest.getPanel().doSaveAs(IHM.getXmlLangue().getElement("Mexporter..."),IHM.getXmlLangue().getElement("Bexporter"));
		}
		catch (IOException e)
		{new FenetreErreur(e);}
	}
}
