package actions;

import ihm.Gestionnaire;
import java.awt.event.ActionEvent;
import don.ContinueAnalysee;

/** Action appelée pour habiller les individus par une continue
 * 
 * @author michaelory@gmail.com
 * @author julien.durand.eu@gmail.com
 *
 */
public class ActionHabillerContinue extends ActionGestionnaire
{
	/** Variable d'habillage */
	private ContinueAnalysee m_var;
	
	private Gestionnaire m_gest=getM_gest();

	/** Constructeur
	 * @param variable
	 * @param gest
	 */
	public ActionHabillerContinue(ContinueAnalysee variable, Gestionnaire gest)
	{
		super(gest);
		m_var=variable;
	}

	/** action */
	@SuppressWarnings("deprecation")
	public void actionPerformed(ActionEvent arg0)
	{m_gest.setHabillage(m_var);}
}
