package actions;

import ihm.Gestionnaire;
import java.awt.event.ActionEvent;
import don.Nominale;

/** Action appelée pour habiller les individus par une nominale
 * 
 * @author michaelory@gmail.com
 * @author julien.durand.eu@gmail.com
 *
 */
public class ActionHabillerNominale extends ActionGestionnaire
{
	/** La nominale qui sera utilisée */
	private Nominale m_nom;
	
	private Gestionnaire m_gest=getM_gest();

	/** Constructeur
	 * @param nominale
	 * @param gest
	 */
	public ActionHabillerNominale(Nominale nominale, Gestionnaire gest)
	{
		super(gest);
		m_nom = nominale;
	}

	/** action */
	@SuppressWarnings("deprecation")
	public void actionPerformed(ActionEvent arg0)
	{m_gest.setHabillage(m_nom);}
}
