package actions;

import ihm.Gestionnaire;
import java.awt.event.ActionEvent;
import javax.swing.event.InternalFrameEvent;
import javax.swing.event.InternalFrameListener;

/** Action qui ferme la fenêtre interieur
 *  @author michaelory@gmail.com
 *  @author julien.durand.eu@gmail.com
 *
 */
public class ActionInternalClosed extends ActionGestionnaire implements InternalFrameListener
{
	private Gestionnaire m_gest=getM_gest();
	
	/** Constructeur
	 * @param gest
	 */
	public ActionInternalClosed(Gestionnaire gest)
	{super(gest);}

	/** action */
	public void internalFrameClosed(InternalFrameEvent e)
	{m_gest.setDonnee();}
	
	/** action */
	public void actionPerformed(ActionEvent arg0)
	{m_gest.setDonnee();}

	//les actions suivantes ne sont pas utilisées
	
	/***/
	public void internalFrameClosing(InternalFrameEvent e)
	{}

	/***/
	public void internalFrameActivated(InternalFrameEvent e)
	{}
	
	/***/
	public void internalFrameDeactivated(InternalFrameEvent e)
	{}

	/***/
	public void internalFrameDeiconified(InternalFrameEvent e)
	{}

	/***/
	public void internalFrameIconified(InternalFrameEvent e)
	{}

	/***/
	public void internalFrameOpened(InternalFrameEvent e)
	{}
}
