package criteres;

/** Classe d'information simple
 *  @author michaelory@gmail.com
 *  @author julien.durand.eu@gmail.com
 *
 */
public class Singleton extends Info
{
	/** numéro de l'information */
	private int g;

	/** Constructeur
	 * @param i
	 */
	public Singleton(int i)
	{g=i;}

	/** @return le numero*/
	public int get()
	{return g;}

	/**@see criteres.Info#isError()*/
	public boolean isError()
	{return g==Critere.CODE_ERROR;}

	/**@see criteres.Info#toString()*/
	public String toString()
	{return String.valueOf(g);}

	@Override
	public boolean equals(Object o) {
		if (o instanceof Singleton) 
			return ((Singleton) o).get() == g;
		else
			return false;
	}
}
