package don;

import exceptions.ExceptionIntegrite;

/**
 * Axe partiel, utilisé en AFM
 * 
 *  @author julien.durand@gmail.com *
 */
public class AxePartiel extends ContinueAnalysee {

	private static final long serialVersionUID = 8540742964232093253L;

	/**
	 * @param annotation
	 * @param active
	 * @param gr
	 * @param coord
	 * @param cos2
	 * @param contrib
	 * @param orthonorme
	 */
	public AxePartiel(String annotation, boolean active, Groupe gr, double[] coord, double[] cos2, double[] contrib, boolean orthonorme) {
		super(annotation, active, gr, coord, cos2, contrib, orthonorme);
	}

	@Override
	public void verifierIntegrite() throws ExceptionIntegrite {
		try {
			super.verifierIntegrite();			
		}catch (ExceptionIntegrite e) {
			if(!e.getMessage().equals(ExceptionIntegrite.errNumCont)){
				throw e;
			}
		}
	}
}

