package don;

import java.util.Vector;

/**
 * Décrit les données qui peuvent contenir des données partielles
 *  @author julien.durand.eu@gmail.com
 *
 */
public interface DonneeMoyenne {

    /**
     * @return les données partielles de cette donnée
     */
    public Vector<DonneeID> getBranches();

    /**
     * @return le nombre de branches
     */
    public int getNbBranches();
}
