package exceptions;

/** Classe d'exception qui gére les erreurs d'intégrités
 *  @author michaelory@gmail.com
 *  @author julien.durand.eu@gmail.com
 *
 */
public class ExceptionIntegrite extends Exception
{
	private static final long serialVersionUID = -3621601600743678960L;
	
    /** Message utilisé dans le cas d'une erreur sur le numéro d'une continue */
    public static final String errNumCont="Variable sans numéro, impossible d'effectuer des getValeur";

	/** @param string description de l'exception */
	public ExceptionIntegrite(String string)
	{super(string);}
}
