package actions;

import java.awt.event.ActionListener;
import ihm.Gestionnaire;

/** Classe mére de toutes les actions sur le gestionnaire
 * 
 *  @author michaelory@gmail.com
 *  @author julien.durand.eu@gmail.com
 *
 */
public abstract class ActionGestionnaire implements ActionListener
{
	/** Le gestionnaire qui va être affecté par l'action */
	private Gestionnaire m_gest;

	/**
	 * @return le gestionnaire affecte par l'action
	 */
	public Gestionnaire getM_gest() {
		return m_gest;
	}

	/** Constructeur
	 * @param gest
	 */
	public ActionGestionnaire(Gestionnaire gest)
	{m_gest=gest;}
}
