package actions;

import ihm.FenetreErreur;
import ihm.IHM;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/** Action qui s'occupe de la mise à jour de la langue
 *  @author michaelory@gmail.com
 *  @author julien.durand.eu@gmail.com
 *
 */
public class ActionLangue implements ActionListener
{
	/** indice de position de la balise */
	private int m_index;
	
	/** stock l'interface */
	private IHM m_interfac;
	
	/** Constructeur
	 * @param interfac
	 * @param index
	 */
	public ActionLangue(IHM interfac,int index)
	{m_interfac=interfac;m_index=index;}

	/** action */
	public void actionPerformed(ActionEvent arg0)
	{
		try
		{m_interfac.updateLang(m_index);}
		catch (Exception e)
		{new FenetreErreur(e.toString());}
	}
}
