package criteres;

import java.util.Comparator;

import drawing.Series;

/**
 *  @author julien.durand@gmail.com
 *
 */
public class Comparateur implements Comparator<Object>{


	Critere m_critere;
	/**
	 * @param critere 
	 * 
	 */
	public Comparateur(Critere critere) {
		m_critere=critere;
	}

	/* (non-Javadoc)
	 * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
	 */
	public int compare(Object arg0, Object arg1) {
		if(arg0 instanceof Series && arg1 instanceof Series){
			Info i0=((Series)arg0).getDefinition();
			Info i1=((Series)arg1).getDefinition();
			return m_critere.compare(i0,i1);
		}else return 0;
	}

}
