package criteres;

import ihm.IHM;
import don.DonneeID;
import don.Groupe;

/** Teste si l'objet est un groupe
 * 
 *  @author michaelory@gmail.com
 *  @author julien.durand.eu@gmail.com
 *
 */
public class CritereGroupe extends Test
{
	/**@see criteres.Test#correspond(DonneeID)*/
	public boolean correspond(DonneeID obj)
	{return ((obj instanceof Groupe) && ((Groupe)obj).getNum()!=0);}

	/**@see criteres.Critere#semantique()*/
	public String semantique()
	{return IHM.getXmlLangue().getElement("Cgroupe");}

	/**@see criteres.Critere#adjectif()*/
	public boolean adjectif()
	{ return false;}
}
