package criteres;

import ihm.IHM;
import don.DonneeID;
import don.Individu;

/** Teste si l'objet est un individu
 * 
 *  @author michaelory@gmail.com
 *  @author julien.durand.eu@gmail.com
 *
 */
public class CritereIndividu extends Test
{
	/**@see criteres.Test#correspond(DonneeID)*/
	public boolean correspond(DonneeID obj)
	{return obj instanceof Individu;}

	/**@see criteres.Critere#semantique()*/
	public String semantique()
	{return IHM.getXmlLangue().getElement("Cindividu");}

	/**@see criteres.Critere#adjectif()*/
	public boolean adjectif()
	{return false;}
}
