package criteres;

import ihm.IHM;
import don.DonneeID;
import don.Modalite;

/** Teste si l'objet est une modalite
 * 
 *  @author michaelory@gmail.com
 *  @author julien.durand.eu@gmail.com
 *
 */
public class CritereModalite extends Test
{
	/**@see criteres.Test#correspond(DonneeID)*/
	public boolean correspond(DonneeID obj)
	{return obj instanceof Modalite;}

	/**@see criteres.Critere#semantique()*/
	public String semantique()
	{return IHM.getXmlLangue().getElement("Cmodalite");}

	/**@see criteres.Critere#adjectif()*/
	public boolean adjectif()
	{return false;}
}
