package don;

import exceptions.ExceptionIntegrite;

/**
 * Decrit toutes les données dont on peut vérifier l'intégrité
 * 
 *  @author michaelory@gmail.com
 *  @author julien.durand.eu@gmail.com
 *
 */
public interface Verifiable {
    /**
     * Vérifie l'intégrité d'un jeu de données, et essaie de les réparer si possible
     * @throws ExceptionIntegrite en cas d'erreur impossible à corriger
     */
    public void verifierIntegrite() throws ExceptionIntegrite ;
}
